> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Create an Integration for an Event Orchestration

`POST https://api.pagerduty.com/event_orchestrations/{id}/integrations`

Create an Integration associated with this Event Orchestration.

You can then use the Routing Key from this new Integration to send events to PagerDuty!

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#event-orchestrations)

Scoped OAuth requires: `event_orchestrations.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of an Event Orchestration. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `integration` | object | yes |  |
| `integration.label` | string | yes | Name of the Integration. |

Example: Example: Create an Integration

```json
{
  "integration": {
    "label": "Integration for Monitoring Tool X"
  }
}
```

## Response 201

The Integration that was created.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `integration` | object |  |  |
| `integration.id` | string |  | ID of the Integration. Read-only. |
| `integration.label` | string |  | Name of the Integration. |
| `integration.parameters` | object |  | Read-only. |
| `integration.parameters.routing_key` | string |  | Routing Key used to send Events to this Orchestration. Read-only. |
| `integration.parameters.type` | string |  | Read-only. Default: `global`. |

Example: Response Example

```json
{
  "integration": {
    "id": "11832872-88b6-4661-8972-db5712b69496",
    "label": "Integration for Monitoring Tool X",
    "parameters": {
      "routing_key": "R028DIE06SNKNO6V5ACSLRV7Y0TUVG7T",
      "type": "global"
    }
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 405

The request was received and recognized by the server, but its HTTP method was rejected for the requested resource.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 409

The request conflicts with the current state of the server.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
